com.sun.mail.imap.protocol

## Class Namespaces.Namespace

- java.lang.Object
- - com.sun.mail.imap.protocol.Namespaces.Namespace

- Enclosing class:
    Namespaces

      public static class Namespaces.Namespace
      extends Object

  A single namespace entry.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `char` | `delimiter` Delimiter between names in this namespace.
    `String` | `prefix` Prefix string for the namespace.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Namespaces.Namespace(Response r)` Parse a namespace element out of the response.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### prefix

          public String prefix

      Prefix string for the namespace.

    - #### delimiter

          public char delimiter

      Delimiter between names in this namespace.

  - ### Constructor Detail

    - #### Namespaces.Namespace

          public Namespaces.Namespace(Response r)
                               throws ProtocolException

      Parse a namespace element out of the response.
      Parameters:
        `r` - the Response to parse
      Throws:
        `ProtocolException` - for any protocol errors

Copyright © 2016 Oracle. All rights reserved.